-- Zadatak: Potrebno je pronaci pocetne i krajnje pozicije svih ponavljanja niske GCCGTACT koje pocinju do pozicije 
-- 4600000 u genomu. 

with pozicije (pozicija,pocetak) as

    ( 
--    Inicijalni SELECT

      select locate('GCCGTACT',kod,1), 
             locate('GCCGTACT',kod,1)+8 
             
      from   fasta koren
      
      union all

--    Iterativni SELECT      
      select locate('GCCGTACT',kod,pocetak), 
             locate('GCCGTACT',kod,pocetak)+8

      from   pozicije roditelj, fasta dete 
      where  pocetak<=4600000
    )
    
-- Glavni SELECT    
select pozicija as "Pocetna pozicija", pocetak-1 as "Krajnja pozicija"
from   pozicije a
order  by 1;